#!/usr/bin/perl
use strict;
print <<HEAD;
<html>
<head>
<script type=\"text/javascript\" src=\"ASCIIMathML.js\"></script>
<title>Nashville music charts displayed via HTML</title>
</head>
HEAD

print "<body>\n";

print <<LICENSE;
<!--
Nashville Web Charts, version 0.1, Copyright (C) 2008  Joey Kelly, http://joeykelly.net

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
version 2, as published by the Free Software Foundation.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
-->
LICENSE


my $song = "ohhowIloveJesus.txt";

open(SONG,$song)     || die "cannot open $song: $!\n";

open my $fh, '<', $song or die "$0: $song: $!\n";
my $content = do {local $/; <$fh>};

$content =~ s/\n//g;
#print "$content\n";

my @lines   = split('@',$content);
#@measureline   = split("@",$content);

print "<table>\n";

print <<SPACER;
<tr>                
<td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
<td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
<td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
<td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
<td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
<td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
<td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
<td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
</tr>
SPACER


foreach my $line (@lines) {
  print "<tr>\n";
  my @singplay = split("%",$line);
  my $sing = $singplay[0];
  my $play = $singplay[1];
  # for now, let's get rid of '~' lyrics indicator
  $sing =~ s/~//g;
  print "<td colspan = \"4\">$sing</td>\n";
  my @measures = split("&",$play);
  shift @measures;   # there isn't anything before the initial '&'
  foreach my $measure (@measures) {
    my $bigmeasure = '';
    my @beats = split('\|',$measure);
    # if / then beat gets no font bump
    foreach my $beat (@beats) {
      # there's simply got to be a nicer way to do this...
      chomp $beat;
      my $teab = reverse($beat);
      chomp $teab;
      $beat = reverse($teab);
      # now we wrap the beat in MathML indicators
      $beat = "`" . $beat . "`";
      if ($beat =~ m/\//) {
        $beat = '<b>' . $beat . '</b>';
      } else {
        $beat = '<big><big>' . $beat . '</big></big>';
      }
      if ($bigmeasure ne '') {
        $bigmeasure = $bigmeasure . '<big><big><b> | </b></big></big>' . $beat;
      } else {
        $bigmeasure = $beat;
      }
    }
    #$bigmeasure = s/1//g;
    print "<td align=\"center\">$bigmeasure</td>\n";
  }
  print "</tr>\n";
}

print "</table>\n";

print "</body>\n</html>\n";

